Summary:	The Open Source Texas-Holdem Poker Engine
Summary(pl.UTF-8):	Silnik gry Texas-Holdem poker
Name:		pokerth
Version:	0.9.5
Release:	1
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	http://downloads.sourceforge.net/pokerth/PokerTH-%{version}-src.tar.bz2
# Source0-md5:	4bdea98bfc142a825c64b77feb4667d0
Patch0:		libircclient.patch
URL:		http://www.pokerth.net/
BuildRequires:	QtCore-devel >= 4.3.1
BuildRequires:	QtGui-devel >= 4.3.1
BuildRequires:	QtNetwork-devel
BuildRequires:	QtSql-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	boost-devel >= 1.37.0-3
BuildRequires:	curl-devel >= 7.16
BuildRequires:	gnutls-devel
BuildRequires:	gsasl-devel
BuildRequires:	libircclient-devel
BuildRequires:	qt4-build >= 4.3.1
BuildRequires:	qt4-qmake >= 4.3.1
BuildRequires:	sed >= 4.0
BuildRequires:	tinyxml-devel
BuildRequires:	zlib-devel >= 1.2.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PokerTH is a poker game written in C++/Qt4. You can play the popular
"Texas Hold'em" poker variant against up to six computer-opponents or
play network games with people all over the world. This poker engine
is available for Linux, Windows, and MacOS X.

%description -l pl.UTF-8
PokerTH to komputerowa gra w pokera napisana w C++/Qt4. Umożliwia ona
grę w popularny wariant "Texas Hold'em" przeciwko maksymalnie sześciu
komputerowym przeciwnikom lub sieciową grę z innymi zawodnikami.
Silnik gry dostępny jest na platformy Linux, Windows oraz MacOS X.

%prep
%setup -q -n PokerTH-%{version}-src
%patch0 -p1

# what is it?
sed -i -e '/-no_dead_strip_inits_and_terms/d' *.pro

%build
qmake-qt4 pokerth.pro \
	QMAKE_CXX="%{__cxx}" \
	QMAKE_CXXFLAGS_RELEASE="%{rpmcxxflags}"
	QMAKE_LFLAGS_RELEASE="%{rpmldflags}"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

install pokerth bin/pokerth_server $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog TODO
%attr(755,root,root) %{_bindir}/pokerth*
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png
%{_datadir}/%{name}
%changelog
* Thu Jul 12 2012 Jan Rękorajski <baggins@pld-linux.org> a004947
Add libircclient BR and use all required headers from it

* Wed Jul 11 2012 Jan Rękorajski <baggins@pld-linux.org> 8482ca5
BR tinyxml-devel

* Wed Jul 11 2012 Jan Rękorajski <baggins@pld-linux.org> 1c26679
BOOST_FILESYSTEM V2 is gone in boost 1.50

* Wed Jul 11 2012 Jan Rękorajski <baggins@pld-linux.org> bc4e1ad
Updated to 0.9.5

* Sun Mar 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8ea0569
- release 2

* Sun May 08 2011 Jakub Bogusz <qboosh@pld-linux.org> 4a178bf
- up to 0.8.3
- pass optflags, force boost::filesystem v2 for now (code not ready for v3)

* Wed May 04 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9b4fe5e
- release 3

* Sat Apr 02 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> de3187b
- release 2

* Mon Jan 24 2011 sparky <sparky@pld-linux.org> 0434c89
- BR: QtNetwork-devel, QtSql-devel, gsasl-devel

* Sat Nov 20 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 03774a2
- up to 0.8.1

* Sat Nov 20 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 497d7b1
- release 12

* Mon Nov 15 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 9a15775
- release 11

* Mon Nov 15 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 72c420a
- release 10

* Mon Nov 15 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0ea42db
- release 9

* Mon Nov 15 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> da8ec62
- release 8

* Mon Nov 15 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1fd3697
- release 7

* Mon Nov 15 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 624dec7
- release 6

* Mon Nov 15 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6dd64b7
- release 5

* Fri Mar 26 2010 Paweł Sikora <pluto@pld-linux.org> 0742c8d
- release 4 (rebuild with boost-1.42.0)

* Thu Dec 31 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 058f40e
- release 3

